- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/create#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/create#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/create#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms/create#try-it)

Creates a new LoyaltyProgram.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1alpha/{parent=accounts/*/programs/*}/loyaltyPrograms`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account which owns the LoyaltyProgram. Format: `accounts/{account}/programs/{program}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "programLabel": string, "loyaltyProgram": { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms#LoyaltyProgram`) } } ``` |

| Fields ||
|---|---|
| `programLabel` | `string` Required. A unique identifier for the LoyaltyProgram. This programLabel will not be displayed to users. The programLabel must not contain spaces. This identifier can have a max length of 25 characters. The programLabel cannot be changed once set. This programLabel will be used to generate loyaltyProgram.name, which will have the format: `accounts/{account}/programs/{program}/loyaltyPrograms/{programLabel}`. |
| `loyaltyProgram` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms#LoyaltyProgram`)`` Required. The LoyaltyProgram to create. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.loyaltyPrograms#LoyaltyProgram`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).